Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354039 - [RFE] NFS41 storage type not supported for SmartState Analysis
Summary: [RFE] NFS41 storage type not supported for SmartState Analysis
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: SmartState Analysis
Version: 5.6.0
Hardware: x86_64
OS: Linux
high
high
Target Milestone: GA
: 5.8.0
Assignee: Hui Song
QA Contact: Satyajit Bulage
URL:
Whiteboard:
Depends On: 1428801
Blocks: 1399221 1399222
TreeView+ depends on / blocked
 
Reported: 2016-07-08 19:04 UTC by Jerome Marc
Modified: 2017-06-12 16:35 UTC (History)
10 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1399221 1399222 (view as bug list)
Environment:
Last Closed: 2017-06-12 16:35:18 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jerome Marc 2016-07-08 19:04:57 UTC
Description of problem:
SmartState Analysis on Datastore and VM do not work when the back-end storage is of type NFS41. I am running vSphere 6 with VDDK 6 and CF4.1.

Version-Release number of selected component (if applicable):
5.6.0.13.20160624114606_13a9153 

How reproducible:
Always

Steps to Reproduce:
1. Perform a SmartState Analysis on a Datastore of type NFS41
2. Perform a SmartState Analysis on a VM located on a back end storage of type NFS41

Actual results:
Failure with the following error message:
- For datastore:
'Datastore "Shared-NFS": Error during 'scan': Action not supported for Datastores type [NFS41], [Shared-NFS] with id: [10000000000001]'
- For VM:
'Vm storage type [NFS41] unsupported [10000000000002], aborting job [9e19605c-44fa-11e6-bfca-005056b10841]'


Expected results:
SmartState Analysis should work with NFS back-end.

Additional info:
After troubleshooting with roliveri, it appears that this datastore type is not included in the list of supported types. Modifying the following files to add NFS41 type fixed the issue:
/var/www/miq/vmdb/app/models/job_proxy_dispatcher.rb
/var/www/miq/vmdb/app/models/storage.rb
/var/www/miq/vmdb/app/models/vm_or_template.rb

Comment 7 Nick Maludy 2016-11-10 17:01:55 UTC
I am also experiencing this issue and would like to up-vote it.

Is that any update from Dev?

Will this be included in the CloudForms 4.2 release (CFME 5.7)?

Comment 8 Hui Song 2016-11-10 17:04:31 UTC
(In reply to Nick Maludy from comment #7)
> I am also experiencing this issue and would like to up-vote it.
> 
> Is that any update from Dev?
> 
> Will this be included in the CloudForms 4.2 release (CFME 5.7)?

The PR has been created and now under review.

Comment 13 Satyajit Bulage 2017-04-12 16:00:03 UTC
SmartState Analysis works fine with NFS41 backend running on vSphere 6 with VDDK 6.

Perform a SmartState Analysis on a Datastore of type NFS41 as well as on a VM located on a backend storage of type NFS41.

Verified Version: 5.8.0.9-alpha2.20170404195944_1d7ece4


Note You need to log in before you can comment on or make changes to this bug.